# Notes

{% hint style="info" %}
This API is not available for self-service at the moment, and you will need to [contact us](https://www.forestadmin.com/contact-us) if you are interested in using it.
{% endhint %}

## List notes

This endpoint allows to list notes and its messages on a particular *project* and *environment*.

Records are returned sorted by `id` primary key, in descending order (from most recent to least recent).

Pagination can be achieved by filtering on `createdAt` date.

{% openapi src="/files/IhVxgOlJdbbF23UjfxIg" path="/v1/project/{projectName}/environment/{environmentName}/notes" method="get" %}
[public-api.json](https://1872951838-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2K5ysVek2r22Z6P2U6Q4%2Fuploads%2Fgit-blob-813397c37e71e9088c9a5e879f243681f16664a7%2Fpublic-api.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.forestadmin.com/public-api/endpoints/notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
